/*

	charset encapsulation
	(in spite of encapsulation)

*/

#ifndef CHARSET_H
#define CHARSET_H

#include <stdlib.h>
#include <string.h>


class tCharset
{
public:

	unsigned char* gfxrom;
	unsigned char palette[32*32*8*4];
	int rowscroll[1024];

	unsigned char** sprites;
	unsigned char** chars;
	unsigned char** tiles16;
	unsigned char** tiles32;

	char* tile16opaque;

	int sproffs,charoffs,tile16offs,tile32offs;
	int nSprites,nChars,nTiles16,nTiles32;

	tCharset();
	virtual ~tCharset();

	virtual void printSprite(unsigned long int*,int,int,int,int,int,int);
	virtual void printChar(unsigned long int*,int,int,int,int,int,int);
	virtual void printTile16(unsigned long int*,int,int,int,int,int,int);
	virtual void printTile16rs(unsigned long int*,int,int,int,int,int,int,int);
	virtual void printTile32(unsigned long int*,int,int,int,int,int,int);
};

#endif