
/*

  system 18 

*/


#ifndef S18CPUCORE_H
#define S18CPUCORE_H

#include "cpucore.h"

class s18cpucore: public cpucore
{
private:

	char romname[64];

	// z80

	void do_videohw(unsigned long int* video,tCharset* chset);
	void draw_bg(unsigned long int* video,tCharset* chset,int scrollx,int scrolly,unsigned short int *page,int);
	void draw_text(unsigned long int* video,tCharset* chset);
	void draw_sprites(unsigned long int* video,tCharset* chset,int pri);
	void update_controls();
	void checkquickstate();

public:

	s18cpucore(tRomSpace* roms);
	~s18cpucore();

	void a68kReset();
	void emulate(int snd);
	void build_palette(tCharset* chset);
	void drawScreen(unsigned long int* video,tCharset* chset);
};

#endif